(****************************************)
(* ITA Office97 Style Components        *)
(* Version 1.6                          *)
(*                                      *)
(****************************************)
(* (c) 1996-98 ITA Software Labs        *)
(* All right reserved.                  *)
(*                                      *)
(****************************************)
(* Internet: aepp@vsgtu.eastsib.ru      *)
(* WWW:                                 *)
(*   http://www.ita.eastsib.ru          *)
(*   http://i-connect.ru/~ita           *)                  
(****************************************)
unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ita_Office97, ExtCtrls, ita_common, Menus, ComCtrls, StdCtrls, ColorGrd,
  Mask;

type
  TMainForm = class(TForm)
    dockTop: TitaDock;
    MenuBar: TitaMenuBar;
    tbStandard: TitaToolBar;
    SavePosition: TitaSavePos;
    dockLeft: TitaDock;
    dockRight: TitaDock;
    dockBottom: TitaDock;
    WindowsMenu: TitaOfficePopupMenu;
    Menusdemo1: TMenuItem;
    MenuGlyphs: TitaGlyphs;
    ITAMenu: TitaOfficePopupMenu;
    ProductInformation1: TMenuItem;
    N1: TMenuItem;
    About1: TMenuItem;
    Childwindow1: TMenuItem;
    TBSeparator2: TTBSeparator;
    itaAssistan: TitaAssistan;
    itaAssistanSetupDialog1: TitaAssistanSetupDialog;
    ViewMenu: TitaOfficePopupMenu;
    ToolBars1: TMenuItem;
    miTBStabdard: TMenuItem;
    itaAssistanKind1: TitaAssistanKind;
    itaAssistanKind2: TitaAssistanKind;
    ItemsMenu: TitaOfficePopupMenu;
    Normal1: TMenuItem;
    N3: TMenuItem;
    ShortCut1: TMenuItem;
    Checked1: TMenuItem;
    N4: TMenuItem;
    Radioitem11: TMenuItem;
    Radioitem21: TMenuItem;
    N5: TMenuItem;
    Disabled1: TMenuItem;
    TBButton4: TTBButton;
    N6: TMenuItem;
    Order1: TMenuItem;
    ColorToolBar: TitaToolBar;
    itaGlyphs1: TitaGlyphs;
    FoldersMenu: TitaOfficePopupMenu;
    Firstfolder1: TMenuItem;
    Secondfolder1: TMenuItem;
    Mydocunmets1: TMenuItem;
    FoldersGlyphs: TitaGlyphs;
    Panel1: TPanel;
    Label1: TLabel;
    TreeView1: TTreeView;
    itaMenuButton1: TitaMenuButton;
    itaMenuButton3: TitaMenuButton;
    itaMenuButton4: TitaMenuButton;
    itaMenuButton5: TitaMenuButton;
    N7: TMenuItem;
    OnLineRegistration1: TMenuItem;
    HomePage1: TMenuItem;
    tbLibrary: TitaToolBar;
    TBButton2: TTBButton;
    btnOrder: TTBButton;
    TBButton3: TTBButton;
    TBSeparator1: TTBSeparator;
    TBButton6: TTBButton;
    TBButton7: TTBButton;
    TBButton8: TTBButton;
    TBButton9: TTBButton;
    TBButton10: TTBButton;
    TBSeparator3: TTBSeparator;
    TBComboPopup2: TTBComboPopup;
    TBComboPopup3: TTBComboPopup;
    opmUndo: TitaOfficePopupMenu;
    Undo11: TMenuItem;
    Undo21: TMenuItem;
    Undo31: TMenuItem;
    opmRedo: TitaOfficePopupMenu;
    Redo11: TMenuItem;
    Redo21: TMenuItem;
    Redo31: TMenuItem;
    TBSeparator4: TTBSeparator;
    TBCombo1: TTBCombo;
    TBSeparator5: TTBSeparator;
    TBComboPopup1: TTBComboPopup;
    TBSeparator6: TTBSeparator;
    TBPopup4: TTBPopup;
    TBColorCombo1: TTBColorCombo;
    TBSeparator7: TTBSeparator;
    TBButton1: TTBButton;
    miTBMy: TMenuItem;
    miTBSizeable: TMenuItem;
    WWW: TPanel;
    lMail: TitaLabel;
    lHome: TitaLabel;
    lReg: TitaLabel;
    N2: TMenuItem;
    Cascade1: TMenuItem;
    Tile1: TMenuItem;
    Close1: TMenuItem;
    procedure Menusdemo1Click(Sender: TObject);
    procedure ProductInformation1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure Childwindow1Click(Sender: TObject);
    procedure miTBStabdardClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure TBCombo1ListDown(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Checked1Click(Sender: TObject);
    procedure Radioitem11Click(Sender: TObject);
    procedure Radioitem21Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Order1Click(Sender: TObject);
    procedure HomePage1Click(Sender: TObject);
    procedure OnLineRegistration1Click(Sender: TObject);
    procedure miTBMyClick(Sender: TObject);
    procedure miTBSizeableClick(Sender: TObject);
    procedure lMailMouseEnter(Sender: TObject);
    procedure lMailMouseLeave(Sender: TObject);
    procedure lHomeMouseEnter(Sender: TObject);
    procedure lHomeMouseLeave(Sender: TObject);
    procedure lMailClick(Sender: TObject);
    procedure lHomeClick(Sender: TObject);
    procedure lRegMouseLeave(Sender: TObject);
    procedure lRegMouseEnter(Sender: TObject);
    procedure lRegClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Close1Click(Sender: TObject);
    procedure Cascade1Click(Sender: TObject);
    procedure Tile1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses ODMFrm, product, aboutfrm, Child,
   aswelcome, AssFrm, order, ShellAPI;

{$R *.DFM}

procedure TMainForm.Menusdemo1Click(Sender: TObject);
begin
  ODMenuForm.ShowModal;
end;

procedure TMainForm.ProductInformation1Click(Sender: TObject);
begin
  ProductInfo.ShowModal;
end;

procedure TMainForm.About1Click(Sender: TObject);
begin
  About.ShowModal;
end;

procedure TMainForm.Childwindow1Click(Sender: TObject);
var
  Child: TChildForm;
begin
  Child := TChildForm.Create(Self);
  Child.Visible := true;
end;

procedure TMainForm.miTBStabdardClick(Sender: TObject);
begin
  miTBStabdard.Checked := not miTBStabdard.Checked;
  If miTBStabdard.Checked Then
    tbStandard.ShowPanel
  else
    tbStandard.HidePanel;
end;

procedure TMainForm.miTBMyClick(Sender: TObject);
begin
  miTBMy.Checked := not miTBMy.Checked;
  If miTBMy.Checked Then
    tbLibrary.ShowPanel
  else
    tbLibrary.HidePanel;
end;

procedure TMainForm.miTBSizeableClick(Sender: TObject);
begin
  miTBSizeable.Checked := not miTBSizeable.Checked;
  If miTBSizeable.Checked Then
    ColorToolBar.ShowPanel
  else
    ColorToolBar.HidePanel;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  miTBStabdard.Checked := tbStandard.Visible;
  miTBMy.Checked := tbLibrary.Visible;
  miTBSizeable.Checked := ColorToolBar.Visible;
  WWW.Left := dockLeft.Width + 10;
  WWW.Top := ClientHeight - dockBottom.Height - 10 - WWW.Height;
end;

procedure TMainForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  CanClose := itaAssistan.MsgYesNo('Exit from program ?') = mrYes;
end;

procedure TMainForm.TBCombo1ListDown(Sender: TObject);
begin
  itaAssistan.MsgText('List down button click');
end;

const
  First: boolean = true;

procedure TMainForm.FormActivate(Sender: TObject);
begin
  If First Then
  begin
    AsWelcomeForm.Left := (AssistanForm.Left*2 + AssistanForm.Width) div 2 -
      AsWelcomeForm.itaAssistPanel1.PtrPos;
    AsWelcomeForm.Top := AssistanForm.Top - AsWelcomeForm.Height;
    AsWelcomeForm.ShowModal;
    First := false;
  end;
end;

procedure TMainForm.Checked1Click(Sender: TObject);
begin
  Checked1.Checked := not Checked1.Checked; 
end;

procedure TMainForm.Radioitem11Click(Sender: TObject);
begin
  Radioitem11.Checked := true;
end;

procedure TMainForm.Radioitem21Click(Sender: TObject);
begin
  Radioitem21.Checked := true;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
var
  i: integer;
begin
  for i := 0 to MDIChildCount-1 do
    MDIChildren[i].Close;
end;

procedure TMainForm.Order1Click(Sender: TObject);
begin
  OrderForm.ShowModal;
end;

procedure TMainForm.HomePage1Click(Sender: TObject);
begin
// home Page
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru/office97.html', nil, nil, SW_SHOWNORMAL);
end;

procedure TMainForm.OnLineRegistration1Click(Sender: TObject);
begin
// Reg
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru/registration.html', nil, nil, SW_SHOWNORMAL);
end;

procedure TMainForm.lMailMouseEnter(Sender: TObject);
begin
  lMail.Font.Color := clRed;
end;

procedure TMainForm.lMailMouseLeave(Sender: TObject);
begin
  lMail.Font.Color := clHighlightText;
end;

procedure TMainForm.lHomeMouseEnter(Sender: TObject);
begin
  lHome.Font.Color := clRed;
end;

procedure TMainForm.lHomeMouseLeave(Sender: TObject);
begin
  lHome.Font.Color := clHighlightText;
end;

procedure TMainForm.lMailClick(Sender: TObject);
begin
// Mail
  ShellExecute(0, 'open', 'mailto:aepp@vsgtu.eastsib.ru', nil, nil, SW_SHOWNORMAL);
end;

procedure TMainForm.lHomeClick(Sender: TObject);
begin
// home Page
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru/office97.html', nil, nil, SW_SHOWNORMAL);
end;

procedure TMainForm.lRegMouseLeave(Sender: TObject);
begin
  lReg.Font.Color := clHighlightText;
end;

procedure TMainForm.lRegMouseEnter(Sender: TObject);
begin
  lReg.Font.Color := clRed;
end;

procedure TMainForm.lRegClick(Sender: TObject);
begin
// Reg
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru/registration.html', nil, nil, SW_SHOWNORMAL);
end;

procedure TMainForm.FormResize(Sender: TObject);
begin
  WWW.Left := dockLeft.Width + 10;
  WWW.Top := ClientHeight - dockBottom.Height - 10 - WWW.Height;
end;

procedure TMainForm.Close1Click(Sender: TObject);
begin
  If ActiveMDIChild <> nil then
    ActiveMDIChild.Close;
end;

procedure TMainForm.Cascade1Click(Sender: TObject);
begin
  Cascade;
end;

procedure TMainForm.Tile1Click(Sender: TObject);
begin
  Tile;
end;

end.
